Bug 1915962 - ROKS: manifest with machine health check fails to apply in 4.7
Summary: ROKS: manifest with machine health check fails to apply in 4.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: ibm-roks-toolkit
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Cesar Wong
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-13 20:11 UTC by Cesar Wong
Modified: 2021-02-24 15:53 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:53:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-api-operator pull 788 0 None closed Bug 1915962: Add exclusion annotation for machine health check on ROKS 2021-01-25 21:49:25 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:53:24 UTC

Description Cesar Wong 2021-01-13 20:11:35 UTC
Description of problem:
The CVO reports the following error when applying manifests:
I0111 23:57:12.397838       1 sync_worker.go:897] Update error 133 of 588: UpdatePayloadResourceTypeMissing Could not update machinehealthcheck "openshift-machine-api/machine-api-termination-handler" (133 of 588): the server does not recognize this resource, check extension API servers (*errors.withStack: failed to get resource type: no matches for kind "MachineHealthCheck" in version "machine.openshift.io/v1beta1")

Version-Release number of selected component (if applicable):
4.7

How reproducible:
Always

The machine health check needs to have an exclusion annotation so that the CVO won't apply it in ROKS.

Comment 2 Cesar Wong 2021-01-25 21:50:20 UTC
Verified with 4.7.0-0.nightly-2021-01-25-175331

Comment 5 errata-xmlrpc 2021-02-24 15:53:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.